@charset "utf-8";

@font-face {
    font-family: 'title';
    src: url('../fonts/Hakgyoansim\ Allimjang\ OTF\ B.otf');
}

@font-face {
    font-family: 'text';
    src: url('../fonts/Hakgyoansim\ Allimjang\ TTF\ R.ttf');
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'text';
}

::selection {
    background-color: #111;
    color: #48cdfd;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #48cdfd;
}

::-webkit-scrollbar-track {
    background-color: #111;
}

html {
    font-size: 10px;
}

body {
    overflow-x: hidden;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
}

/* common */
.inner {
    width: 85%;
    margin: 0 auto;
}

section {
    overflow: hidden;
}

section .inner {
    width: 80%;
}

/* header */
header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 999;
}

header .inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header h1 img {
    margin-top: 1rem;
    width: 185px;
}

header nav {
    color: #fff;
    font-size: 1.5rem;
    width: 50%;
    transition: color .3s;
}

header nav>ul {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    white-space: nowrap;
}

header nav>ul a {
    display: block;
}

header nav>ul>li {
    position: relative;
    padding: 0 3rem;
}

header nav>ul>li::after {
    content: '';
    position: absolute;
    bottom: -5px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 2px;
    background-color: #fff;
    transition: all .5s;
}

header nav>ul>li.on::after {
    background-color: #275f98;
}

header nav>ul>li:hover::after {
    width: 65%;
}

header nav>ul>li>a {
    font-size: 2rem;
}

header nav>ul ul {
    position: absolute;
    top: 40px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    display: none;
    padding: 1rem;
    background-color: rgba(0, 0, 0, 0.1);
    text-align: center;
    color: #275f98;
    clip-path: polygon(0 100%, 88% 100%, 100% 86%, 100% 0, 0 0);
}

header nav>ul ul::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #fff;
    top: -3px;
    left: 3px;
}

header nav>ul ul a {
    line-height: 1.8;
    opacity: 0.8;
}

header nav>ul ul li:hover a {
    background-color: black;
    color: #fff;
    clip-path: polygon(0 100%, 90% 100%, 100% 75%, 100% 0, 0 0);
}

.hamburger,
.mobilemenu {
    display: none;
}

/* title */
.title {
    height: 26rem;
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url('../images/mainbg.png') no-repeat left 90%/100%;
    display: flex;
    padding: 3rem;
    align-items: flex-end;
}

.title h2 {
    color: #fff;
    font-size: 4rem;
    width: 85%;
    margin: 0 auto;
    font-family: 'title';
}

/* text */
.sub_t {
    font-size: 2rem;
    line-height: 2;
}

.main_t {
    font-family: 'title';
    font-size: 4rem;
    color: #275f98;
}

/* button */
.more {
    display: block;
    font-size: 2rem;
    width: fit-content;
    color: #275f98;
    font-family: 'title';
    transition: all .5s;
    margin-left: auto;
}

.more:hover {
    transform: translateX(5px);
}

/* finish */
.finish {
    padding: 10rem 0;
    background: url('../images/finish.png')no-repeat center bottom/100%;
    color: #fff;
    text-align: center;
}

.finish br {
    display: none;
}

.finish h4 {
    font-family: 'title';
    font-size: 4rem;
    line-height: 3;
    white-space: nowrap;
}

.finish p {
    font-size: 2rem;
}

/* footer */
footer {
    background-color: #121216;
    color: #f1f1f1;
    line-height: 1.8;
}

footer .inner {
    padding: 2rem 0;
    display: flex;
    justify-content: space-between;
}

footer .footerleft {
    display: flex;
    gap: 3rem;
    align-items: flex-start;
}

footer .footerlogo {
    width: 185px;
    object-fit: contain;
}

footer .footertext {
    font-size: 1.5rem;
    margin-top: 1rem;
}

footer h3 {
    font-size: 2.5rem;
    font-family: 'title';
}

footer .sns {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    margin-left: 10px;
}

/* 반응형 */

@media screen and (max-width : 1700px) {
    html {
        font-size: 9.5px;
    }

    header nav {
        width: 60%;
    }
}

@media screen and (max-width : 1440px) {
    .finish {
        background-size: cover;
    }
}

@media screen and (max-width : 1320px) {
    html {
        font-size: 9px;
    }

    header nav {
        width: 70%;
    }
}

@media screen and (max-width : 1260px) {
    html {
        font-size: 8px;
    }

    section .inner {
        width: 85%;
    }
}

@media screen and (max-width : 1024px) {
    html {
        font-size: 7px;
    }
}

@media screen and (max-width : 768px) {
    header .inner {
        width: 90%;
    }

    header h1 img {
        width: 130px;
    }

    header nav {
        width: 80%;
    }

    header nav>ul {
        justify-content: flex-end;
    }

}

@media screen and (max-width : 680px) {
    header .inner nav {
        display: none;
    }

    /* 햄버거 */
    .hamburger {
        position: fixed;
        top: 17px;
        right: 20px;
        width: 30px;
        z-index: 99;
        display: block;
    }

    .hamburger span {
        display: block;
        width: 100%;
        height: 2px;
        border-radius: 50px;
        background-color: #fff;
    }

    .hamburger span.on {
        background-color: #275f98;
    }

    .hamburger span+span {
        margin-top: 5px;
    }

    /* 모바일메뉴 */
    .mobilemenu {
        position: fixed;
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.95);
        opacity: 0;
        visibility: hidden;
        transition: all .5s;
    }

    .mobilemenu.on {
        opacity: 1;
        visibility: visible;
    }

    .mobilemenu li {
        color: #fff;
        font-size: 3.5rem;
        line-height: 2;
        font-style: italic;
    }

    .mobilemenu>ul>li>a {
        font-family: 'title';
        position: relative;
    }

    .mobilemenu>ul>li>a::after {
        content: '';
        position: absolute;
        bottom: -2px;
        left: 0;
        width: 100%;
        height: 2px;
        background-color: #fff;
    }

    .mobilemenu li ul {
    }
    .mobilemenu li ul li {
        padding-left: 3rem;
        position: relative;
    }
    .mobilemenu li ul li::before {
        position: absolute;
        content: '';
        width: 10px;
        height: 1px;
        background-color: #b3b3b3;
        top: 50%; transform: translateY(-50%);
        left: 0;
    }
    .mobilemenu li ul a {
        color: #b3b3b3;
        font-size: 3rem;
    }

    footer .inner {
        flex-direction: column;
    }

    .contact_footer {
        display: flex;
        justify-content: space-between;
        margin-top: 20px;
    }
}

@media screen and (max-width : 491px) {
    .finish {
        padding: 10rem 1rem;
    }

    .finish p {
        line-height: 1.5;
    }

    .finish br {
        display: block;
    }
}

@media screen and (max-width : 425px) {
    html {
        font-size: 6.5px;
    }
    .finish h4 {
        font-size: 3.5rem;
    }
    footer .footerleft {
        gap: 2rem;
    }
}

@media screen and (max-width : 375px) {
    .title {
        background-size: cover;
    }

    .inner {
        width: 90%;
    }

    .main_t {
        font-size: 3.5rem;
    }
    .finish h4 {
        font-size: 3.2rem;
    }

    footer .footerleft {
        flex-direction: column;
        gap: 1rem;
        margin-bottom: 1rem;
    }

    footer .footerlogo {
        width: 120px;
    }
}